<?php
/**
 * @file
 * openquestions_features.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function openquestions_features_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'oq_action_revisions';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'while_revision';
  $view->human_name = 'Action revisions';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Action revisions';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'openquestions view action history';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '20';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'id' => 'id',
    'field_oq_reporttype-revision_id' => 'field_oq_reporttype-revision_id',
    'field_oq_vote-revision_id' => 'field_oq_vote-revision_id',
    'changed' => 'changed',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_oq_reporttype-revision_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_oq_vote-revision_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'changed' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['content'] = 'The following table shows if, for instance, the user changed their vote over time. The table is sorted chronologically, latest actions first.

Only actions (votes or reports) on the question listed above and by the user listed above are shown in this table.';
  $handler->display->display_options['header']['area']['format'] = 'plain_text';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_oq_forquestion_target_id']['id'] = 'field_oq_forquestion_target_id';
  $handler->display->display_options['relationships']['field_oq_forquestion_target_id']['table'] = 'field_revision_field_oq_forquestion';
  $handler->display->display_options['relationships']['field_oq_forquestion_target_id']['field'] = 'field_oq_forquestion_target_id';
  /* Relationship: User vote entity (historical data): From user (field_oq_fromuser) */
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['id'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['table'] = 'field_revision_field_oq_fromuser';
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['field'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['delta'] = '-1';
  /* Relationship: User vote entity (historical data): Report type (field_oq_reporttype) */
  $handler->display->display_options['relationships']['field_oq_reporttype_tid']['id'] = 'field_oq_reporttype_tid';
  $handler->display->display_options['relationships']['field_oq_reporttype_tid']['table'] = 'field_revision_field_oq_reporttype';
  $handler->display->display_options['relationships']['field_oq_reporttype_tid']['field'] = 'field_oq_reporttype_tid';
  /* Field: User vote entity Revisions: Revision_id */
  $handler->display->display_options['fields']['revision_id']['id'] = 'revision_id';
  $handler->display->display_options['fields']['revision_id']['table'] = 'while_revision';
  $handler->display->display_options['fields']['revision_id']['field'] = 'revision_id';
  $handler->display->display_options['fields']['revision_id']['label'] = 'Revision ID';
  $handler->display->display_options['fields']['revision_id']['separator'] = '';
  /* Field: User vote entity Revisions: Date changed */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'while_revision';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['changed']['alter']['text'] = '[changed] ago';
  $handler->display->display_options['fields']['changed']['date_format'] = 'raw time ago';
  $handler->display->display_options['fields']['changed']['custom_date_format'] = '1';
  $handler->display->display_options['fields']['changed']['second_date_format'] = 'long';
  /* Field: User vote entity (historical data): Vote */
  $handler->display->display_options['fields']['field_oq_vote-revision_id']['id'] = 'field_oq_vote-revision_id';
  $handler->display->display_options['fields']['field_oq_vote-revision_id']['table'] = 'field_revision_field_oq_vote';
  $handler->display->display_options['fields']['field_oq_vote-revision_id']['field'] = 'field_oq_vote-revision_id';
  /* Field: User vote entity (historical data): Report type */
  $handler->display->display_options['fields']['field_oq_reporttype-revision_id']['id'] = 'field_oq_reporttype-revision_id';
  $handler->display->display_options['fields']['field_oq_reporttype-revision_id']['table'] = 'field_revision_field_oq_reporttype';
  $handler->display->display_options['fields']['field_oq_reporttype-revision_id']['field'] = 'field_oq_reporttype-revision_id';
  $handler->display->display_options['fields']['field_oq_reporttype-revision_id']['type'] = 'taxonomy_term_reference_plain';
  /* Field: User vote entity Revisions: User vote entity ID */
  $handler->display->display_options['fields']['id']['id'] = 'id';
  $handler->display->display_options['fields']['id']['table'] = 'while_revision';
  $handler->display->display_options['fields']['id']['field'] = 'id';
  $handler->display->display_options['fields']['id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['id']['separator'] = '';
  /* Field: User vote entity (historical data): Report type data */
  $handler->display->display_options['fields']['field_oq_reporttypedata-revision_id']['id'] = 'field_oq_reporttypedata-revision_id';
  $handler->display->display_options['fields']['field_oq_reporttypedata-revision_id']['table'] = 'field_revision_field_oq_reporttypedata';
  $handler->display->display_options['fields']['field_oq_reporttypedata-revision_id']['field'] = 'field_oq_reporttypedata-revision_id';
  $handler->display->display_options['fields']['field_oq_reporttypedata-revision_id']['label'] = 'Report data';
  $handler->display->display_options['fields']['field_oq_reporttypedata-revision_id']['type'] = 'text_plain';
  /* Sort criterion: User vote entity Revisions: Revision_id */
  $handler->display->display_options['sorts']['revision_id']['id'] = 'revision_id';
  $handler->display->display_options['sorts']['revision_id']['table'] = 'while_revision';
  $handler->display->display_options['sorts']['revision_id']['field'] = 'revision_id';
  $handler->display->display_options['sorts']['revision_id']['order'] = 'DESC';
  /* Contextual filter: User vote entity (historical data): From user (field_oq_fromuser) */
  $handler->display->display_options['arguments']['field_oq_fromuser_uid']['id'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['arguments']['field_oq_fromuser_uid']['table'] = 'field_revision_field_oq_fromuser';
  $handler->display->display_options['arguments']['field_oq_fromuser_uid']['field'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['arguments']['field_oq_fromuser_uid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_oq_fromuser_uid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_oq_fromuser_uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_oq_fromuser_uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_oq_fromuser_uid']['summary_options']['items_per_page'] = '25';
  /* Contextual filter: User vote entity (historical data): For question (field_oq_forquestion) */
  $handler->display->display_options['arguments']['field_oq_forquestion_target_id']['id'] = 'field_oq_forquestion_target_id';
  $handler->display->display_options['arguments']['field_oq_forquestion_target_id']['table'] = 'field_revision_field_oq_forquestion';
  $handler->display->display_options['arguments']['field_oq_forquestion_target_id']['field'] = 'field_oq_forquestion_target_id';
  $handler->display->display_options['arguments']['field_oq_forquestion_target_id']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_oq_forquestion_target_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_oq_forquestion_target_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['field_oq_forquestion_target_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['field_oq_forquestion_target_id']['summary_options']['items_per_page'] = '25';

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block');
  $export['oq_action_revisions'] = $view;

  $view = new view();
  $view->name = 'oq_latest_reports';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'while_base';
  $view->human_name = 'Latest reports';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Latest reports';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '30';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_oq_forquestion_target_id']['id'] = 'field_oq_forquestion_target_id';
  $handler->display->display_options['relationships']['field_oq_forquestion_target_id']['table'] = 'field_data_field_oq_forquestion';
  $handler->display->display_options['relationships']['field_oq_forquestion_target_id']['field'] = 'field_oq_forquestion_target_id';
  /* Relationship: User vote entity: From user (field_oq_fromuser) */
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['id'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['table'] = 'field_data_field_oq_fromuser';
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['field'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['delta'] = '-1';
  /* Relationship: User vote entity: Report type (field_oq_reporttype) */
  $handler->display->display_options['relationships']['field_oq_reporttype_tid']['id'] = 'field_oq_reporttype_tid';
  $handler->display->display_options['relationships']['field_oq_reporttype_tid']['table'] = 'field_data_field_oq_reporttype';
  $handler->display->display_options['relationships']['field_oq_reporttype_tid']['field'] = 'field_oq_reporttype_tid';
  /* Field: User vote entity: User vote entity ID */
  $handler->display->display_options['fields']['id']['id'] = 'id';
  $handler->display->display_options['fields']['id']['table'] = 'while_base';
  $handler->display->display_options['fields']['id']['field'] = 'id';
  $handler->display->display_options['fields']['id']['label'] = '';
  $handler->display->display_options['fields']['id']['element_type'] = '0';
  $handler->display->display_options['fields']['id']['element_label_type'] = '0';
  $handler->display->display_options['fields']['id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['id']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['id']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['id']['separator'] = '';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['fields']['name']['label'] = '';
  $handler->display->display_options['fields']['name']['element_type'] = '0';
  $handler->display->display_options['fields']['name']['element_label_type'] = '0';
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['name']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['name']['element_default_classes'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'field_oq_forquestion_target_id';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['element_type'] = '0';
  $handler->display->display_options['fields']['title']['element_label_type'] = '0';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['title']['element_default_classes'] = FALSE;
  /* Field: User vote entity Revisions: Date changed */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'while_revision';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = '';
  $handler->display->display_options['fields']['changed']['element_type'] = '0';
  $handler->display->display_options['fields']['changed']['element_label_type'] = '0';
  $handler->display->display_options['fields']['changed']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['changed']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['changed']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['changed']['date_format'] = 'raw time ago';
  $handler->display->display_options['fields']['changed']['custom_date_format'] = '1';
  $handler->display->display_options['fields']['changed']['second_date_format'] = 'long';
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['relationship'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['element_type'] = '0';
  $handler->display->display_options['fields']['uid']['element_label_type'] = '0';
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['uid']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: User vote entity: Report type */
  $handler->display->display_options['fields']['field_oq_reporttype']['id'] = 'field_oq_reporttype';
  $handler->display->display_options['fields']['field_oq_reporttype']['table'] = 'field_data_field_oq_reporttype';
  $handler->display->display_options['fields']['field_oq_reporttype']['field'] = 'field_oq_reporttype';
  $handler->display->display_options['fields']['field_oq_reporttype']['label'] = '';
  $handler->display->display_options['fields']['field_oq_reporttype']['element_type'] = '0';
  $handler->display->display_options['fields']['field_oq_reporttype']['element_label_type'] = '0';
  $handler->display->display_options['fields']['field_oq_reporttype']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_oq_reporttype']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['field_oq_reporttype']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_oq_reporttype']['type'] = 'taxonomy_term_reference_plain';
  /* Field: User vote entity: URL */
  $handler->display->display_options['fields']['url']['id'] = 'url';
  $handler->display->display_options['fields']['url']['table'] = 'views_entity_while';
  $handler->display->display_options['fields']['url']['field'] = 'url';
  $handler->display->display_options['fields']['url']['label'] = '';
  $handler->display->display_options['fields']['url']['element_type'] = '0';
  $handler->display->display_options['fields']['url']['element_label_type'] = '0';
  $handler->display->display_options['fields']['url']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['url']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['url']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['url']['display_as_link'] = FALSE;
  $handler->display->display_options['fields']['url']['link_to_entity'] = 0;
  /* Sort criterion: User vote entity Revisions: Date changed */
  $handler->display->display_options['sorts']['changed']['id'] = 'changed';
  $handler->display->display_options['sorts']['changed']['table'] = 'while_revision';
  $handler->display->display_options['sorts']['changed']['field'] = 'changed';
  /* Filter criterion: User vote entity: Report type (field_oq_reporttype) */
  $handler->display->display_options['filters']['field_oq_reporttype_tid']['id'] = 'field_oq_reporttype_tid';
  $handler->display->display_options['filters']['field_oq_reporttype_tid']['table'] = 'field_data_field_oq_reporttype';
  $handler->display->display_options['filters']['field_oq_reporttype_tid']['field'] = 'field_oq_reporttype_tid';
  $handler->display->display_options['filters']['field_oq_reporttype_tid']['operator'] = 'not empty';
  $handler->display->display_options['filters']['field_oq_reporttype_tid']['value'] = '';
  $handler->display->display_options['filters']['field_oq_reporttype_tid']['vocabulary'] = 'oq_report_type';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'latest-reports';
  $export['oq_latest_reports'] = $view;

  $view = new view();
  $view->name = 'oq_latest_votes';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'while_base';
  $view->human_name = 'Latest votes';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Latest votes';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '30';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_oq_forquestion_target_id']['id'] = 'field_oq_forquestion_target_id';
  $handler->display->display_options['relationships']['field_oq_forquestion_target_id']['table'] = 'field_data_field_oq_forquestion';
  $handler->display->display_options['relationships']['field_oq_forquestion_target_id']['field'] = 'field_oq_forquestion_target_id';
  /* Relationship: User vote entity: From user (field_oq_fromuser) */
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['id'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['table'] = 'field_data_field_oq_fromuser';
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['field'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['delta'] = '-1';
  /* Relationship: User vote entity: Report type (field_oq_reporttype) */
  $handler->display->display_options['relationships']['field_oq_reporttype_tid']['id'] = 'field_oq_reporttype_tid';
  $handler->display->display_options['relationships']['field_oq_reporttype_tid']['table'] = 'field_data_field_oq_reporttype';
  $handler->display->display_options['relationships']['field_oq_reporttype_tid']['field'] = 'field_oq_reporttype_tid';
  /* Field: User vote entity: User vote entity ID */
  $handler->display->display_options['fields']['id']['id'] = 'id';
  $handler->display->display_options['fields']['id']['table'] = 'while_base';
  $handler->display->display_options['fields']['id']['field'] = 'id';
  $handler->display->display_options['fields']['id']['label'] = '';
  $handler->display->display_options['fields']['id']['element_type'] = '0';
  $handler->display->display_options['fields']['id']['element_label_type'] = '0';
  $handler->display->display_options['fields']['id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['id']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['id']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['id']['separator'] = '';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['fields']['name']['label'] = '';
  $handler->display->display_options['fields']['name']['element_type'] = '0';
  $handler->display->display_options['fields']['name']['element_label_type'] = '0';
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['name']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['name']['element_default_classes'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'field_oq_forquestion_target_id';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['element_type'] = '0';
  $handler->display->display_options['fields']['title']['element_label_type'] = '0';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['title']['element_default_classes'] = FALSE;
  /* Field: User vote entity Revisions: Date changed */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'while_revision';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = '';
  $handler->display->display_options['fields']['changed']['element_type'] = '0';
  $handler->display->display_options['fields']['changed']['element_label_type'] = '0';
  $handler->display->display_options['fields']['changed']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['changed']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['changed']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['changed']['date_format'] = 'raw time ago';
  $handler->display->display_options['fields']['changed']['custom_date_format'] = '1';
  $handler->display->display_options['fields']['changed']['second_date_format'] = 'long';
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['relationship'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['element_type'] = '0';
  $handler->display->display_options['fields']['uid']['element_label_type'] = '0';
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['uid']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: User vote entity: Vote */
  $handler->display->display_options['fields']['field_oq_vote']['id'] = 'field_oq_vote';
  $handler->display->display_options['fields']['field_oq_vote']['table'] = 'field_data_field_oq_vote';
  $handler->display->display_options['fields']['field_oq_vote']['field'] = 'field_oq_vote';
  $handler->display->display_options['fields']['field_oq_vote']['label'] = '';
  $handler->display->display_options['fields']['field_oq_vote']['element_type'] = '0';
  $handler->display->display_options['fields']['field_oq_vote']['element_label_type'] = '0';
  $handler->display->display_options['fields']['field_oq_vote']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_oq_vote']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['field_oq_vote']['element_default_classes'] = FALSE;
  /* Field: User vote entity: URL */
  $handler->display->display_options['fields']['url']['id'] = 'url';
  $handler->display->display_options['fields']['url']['table'] = 'views_entity_while';
  $handler->display->display_options['fields']['url']['field'] = 'url';
  $handler->display->display_options['fields']['url']['label'] = '';
  $handler->display->display_options['fields']['url']['element_type'] = '0';
  $handler->display->display_options['fields']['url']['element_label_type'] = '0';
  $handler->display->display_options['fields']['url']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['url']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['url']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['url']['display_as_link'] = FALSE;
  $handler->display->display_options['fields']['url']['link_to_entity'] = 0;
  /* Sort criterion: User vote entity Revisions: Date changed */
  $handler->display->display_options['sorts']['changed']['id'] = 'changed';
  $handler->display->display_options['sorts']['changed']['table'] = 'while_revision';
  $handler->display->display_options['sorts']['changed']['field'] = 'changed';
  /* Filter criterion: User vote entity: Vote (field_oq_vote) */
  $handler->display->display_options['filters']['field_oq_vote_value']['id'] = 'field_oq_vote_value';
  $handler->display->display_options['filters']['field_oq_vote_value']['table'] = 'field_data_field_oq_vote';
  $handler->display->display_options['filters']['field_oq_vote_value']['field'] = 'field_oq_vote_value';
  $handler->display->display_options['filters']['field_oq_vote_value']['operator'] = 'not empty';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'latest-votes';
  $export['oq_latest_votes'] = $view;

  $view = new view();
  $view->name = 'oq_node_reports';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'while_base';
  $view->human_name = 'Node reports';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Node reports';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['label'] = 'No results message';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'No reports.';
  $handler->display->display_options['empty']['area']['format'] = 'filtered_html';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_oq_forquestion_target_id']['id'] = 'field_oq_forquestion_target_id';
  $handler->display->display_options['relationships']['field_oq_forquestion_target_id']['table'] = 'field_data_field_oq_forquestion';
  $handler->display->display_options['relationships']['field_oq_forquestion_target_id']['field'] = 'field_oq_forquestion_target_id';
  /* Relationship: User vote entity: From user (field_oq_fromuser) */
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['id'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['table'] = 'field_data_field_oq_fromuser';
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['field'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['delta'] = '-1';
  /* Field: User vote entity: User vote entity ID */
  $handler->display->display_options['fields']['id']['id'] = 'id';
  $handler->display->display_options['fields']['id']['table'] = 'while_base';
  $handler->display->display_options['fields']['id']['field'] = 'id';
  $handler->display->display_options['fields']['id']['label'] = '';
  $handler->display->display_options['fields']['id']['element_type'] = '0';
  $handler->display->display_options['fields']['id']['element_label_type'] = '0';
  $handler->display->display_options['fields']['id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['id']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['id']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['id']['separator'] = '';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'field_oq_fromuser_uid';
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['relationship'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['element_type'] = '0';
  $handler->display->display_options['fields']['uid']['element_label_type'] = '0';
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['uid']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: User vote entity: Date changed */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'while_base';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = '';
  $handler->display->display_options['fields']['changed']['element_type'] = '0';
  $handler->display->display_options['fields']['changed']['element_label_type'] = '0';
  $handler->display->display_options['fields']['changed']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['changed']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['changed']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['changed']['date_format'] = 'time ago';
  $handler->display->display_options['fields']['changed']['custom_date_format'] = '1';
  $handler->display->display_options['fields']['changed']['second_date_format'] = 'long';
  /* Field: User vote entity: Report type */
  $handler->display->display_options['fields']['field_oq_reporttype']['id'] = 'field_oq_reporttype';
  $handler->display->display_options['fields']['field_oq_reporttype']['table'] = 'field_data_field_oq_reporttype';
  $handler->display->display_options['fields']['field_oq_reporttype']['field'] = 'field_oq_reporttype';
  $handler->display->display_options['fields']['field_oq_reporttype']['label'] = '';
  $handler->display->display_options['fields']['field_oq_reporttype']['element_type'] = '0';
  $handler->display->display_options['fields']['field_oq_reporttype']['element_label_type'] = '0';
  $handler->display->display_options['fields']['field_oq_reporttype']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_oq_reporttype']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['field_oq_reporttype']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_oq_reporttype']['type'] = 'taxonomy_term_reference_plain';
  /* Field: User vote entity: URL */
  $handler->display->display_options['fields']['url']['id'] = 'url';
  $handler->display->display_options['fields']['url']['table'] = 'views_entity_while';
  $handler->display->display_options['fields']['url']['field'] = 'url';
  $handler->display->display_options['fields']['url']['label'] = '';
  $handler->display->display_options['fields']['url']['element_type'] = '0';
  $handler->display->display_options['fields']['url']['element_label_type'] = '0';
  $handler->display->display_options['fields']['url']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['url']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['url']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['url']['display_as_link'] = FALSE;
  $handler->display->display_options['fields']['url']['link_to_entity'] = 0;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'field_oq_forquestion_target_id';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: User vote entity: Report type (field_oq_reporttype) */
  $handler->display->display_options['filters']['field_oq_reporttype_tid']['id'] = 'field_oq_reporttype_tid';
  $handler->display->display_options['filters']['field_oq_reporttype_tid']['table'] = 'field_data_field_oq_reporttype';
  $handler->display->display_options['filters']['field_oq_reporttype_tid']['field'] = 'field_oq_reporttype_tid';
  $handler->display->display_options['filters']['field_oq_reporttype_tid']['operator'] = 'not empty';
  $handler->display->display_options['filters']['field_oq_reporttype_tid']['value'] = '';
  $handler->display->display_options['filters']['field_oq_reporttype_tid']['vocabulary'] = 'oq_report_type';

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block');
  $export['oq_node_reports'] = $view;

  $view = new view();
  $view->name = 'oq_node_votes';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'while_base';
  $view->human_name = 'Node votes';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Node votes';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['label'] = 'No results message';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'No votes yet. Ask some Experts to vote on this question.';
  $handler->display->display_options['empty']['area']['format'] = 'plain_text';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_oq_forquestion_target_id']['id'] = 'field_oq_forquestion_target_id';
  $handler->display->display_options['relationships']['field_oq_forquestion_target_id']['table'] = 'field_data_field_oq_forquestion';
  $handler->display->display_options['relationships']['field_oq_forquestion_target_id']['field'] = 'field_oq_forquestion_target_id';
  /* Relationship: User vote entity: From user (field_oq_fromuser) */
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['id'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['table'] = 'field_data_field_oq_fromuser';
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['field'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['relationships']['field_oq_fromuser_uid']['delta'] = '-1';
  /* Field: User vote entity: User vote entity ID */
  $handler->display->display_options['fields']['id']['id'] = 'id';
  $handler->display->display_options['fields']['id']['table'] = 'while_base';
  $handler->display->display_options['fields']['id']['field'] = 'id';
  $handler->display->display_options['fields']['id']['label'] = '';
  $handler->display->display_options['fields']['id']['element_type'] = '0';
  $handler->display->display_options['fields']['id']['element_label_type'] = '0';
  $handler->display->display_options['fields']['id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['id']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['id']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['id']['separator'] = '';
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'field_oq_fromuser_uid';
  /* Field: User vote entity: Vote */
  $handler->display->display_options['fields']['field_oq_vote']['id'] = 'field_oq_vote';
  $handler->display->display_options['fields']['field_oq_vote']['table'] = 'field_data_field_oq_vote';
  $handler->display->display_options['fields']['field_oq_vote']['field'] = 'field_oq_vote';
  $handler->display->display_options['fields']['field_oq_vote']['label'] = '';
  $handler->display->display_options['fields']['field_oq_vote']['element_type'] = '0';
  $handler->display->display_options['fields']['field_oq_vote']['element_label_type'] = '0';
  $handler->display->display_options['fields']['field_oq_vote']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_oq_vote']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['field_oq_vote']['element_default_classes'] = FALSE;
  /* Field: User: Uid */
  $handler->display->display_options['fields']['uid']['id'] = 'uid';
  $handler->display->display_options['fields']['uid']['table'] = 'users';
  $handler->display->display_options['fields']['uid']['field'] = 'uid';
  $handler->display->display_options['fields']['uid']['relationship'] = 'field_oq_fromuser_uid';
  $handler->display->display_options['fields']['uid']['label'] = '';
  $handler->display->display_options['fields']['uid']['element_type'] = '0';
  $handler->display->display_options['fields']['uid']['element_label_type'] = '0';
  $handler->display->display_options['fields']['uid']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['uid']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['uid']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['uid']['link_to_user'] = FALSE;
  /* Field: User vote entity: Date changed */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'while_base';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = '';
  $handler->display->display_options['fields']['changed']['element_type'] = '0';
  $handler->display->display_options['fields']['changed']['element_label_type'] = '0';
  $handler->display->display_options['fields']['changed']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['changed']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['changed']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['changed']['date_format'] = 'time ago';
  $handler->display->display_options['fields']['changed']['custom_date_format'] = '1';
  $handler->display->display_options['fields']['changed']['second_date_format'] = 'long';
  /* Field: User vote entity: URL */
  $handler->display->display_options['fields']['url']['id'] = 'url';
  $handler->display->display_options['fields']['url']['table'] = 'views_entity_while';
  $handler->display->display_options['fields']['url']['field'] = 'url';
  $handler->display->display_options['fields']['url']['label'] = '';
  $handler->display->display_options['fields']['url']['element_type'] = '0';
  $handler->display->display_options['fields']['url']['element_label_type'] = '0';
  $handler->display->display_options['fields']['url']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['url']['element_wrapper_type'] = '0';
  $handler->display->display_options['fields']['url']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['url']['display_as_link'] = FALSE;
  $handler->display->display_options['fields']['url']['link_to_entity'] = 0;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'field_oq_forquestion_target_id';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  /* Filter criterion: User vote entity: Vote (field_oq_vote) */
  $handler->display->display_options['filters']['field_oq_vote_value']['id'] = 'field_oq_vote_value';
  $handler->display->display_options['filters']['field_oq_vote_value']['table'] = 'field_data_field_oq_vote';
  $handler->display->display_options['filters']['field_oq_vote_value']['field'] = 'field_oq_vote_value';
  $handler->display->display_options['filters']['field_oq_vote_value']['operator'] = 'not empty';

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block');
  $export['oq_node_votes'] = $view;

  return $export;
}
